ruby-on-rails – 无法安装rmagick,pkg-config:命令找不到

我正在尝试在我的小牛机上安装rmagick。然而。我得到这个错误

/usr/local/bin/Magick-config: line 41: pkg-config: command not found
/usr/local/bin/Magick-config: line 47: pkg-config: command not found
/usr/local/bin/Magick-config: line 50: pkg-config: command not found
/usr/local/bin/Magick-config: line 53: pkg-config: command not found
checking for stdint.h... yes
checking for sys/types.h... yes
checking for wand/MagickWand.h... yes
/usr/local/bin/Magick-config: line 53: pkg-config: command not found
Can't install RMagick 2.13.2. Can't find the ImageMagick library or one of the dependent libraries. Check the mkmf.log file for more detailed information.

Magick-config中的第41,17,50,53行

--cflags)
  pkg-config --cflags MagickCore
  ;;
--cxxflags)
  pkg-config --cflags MagickCore
  ;;
--cppflags)
  pkg-config --cflags MagickCore
  ;;
--ldflags)
  pkg-config --libs MagickCore
  ;;
--libs)
  pkg-config --libs MagickCore
  ;;

我安装ImageMagick与brew install imagemagick –build-from-source,在运行gem安装rmagick之前,我设置路径到MagickCore.pc导出PKG_CONFIG_PATH = /usr/local/Cellar / imagemagick / 6.8.9-1 / lib / pkgconfig和导出Wand.h的路径C_INCLUDE_PATH = /usr/local/Cellar / imagemagick / 6.8.9-1 / include / ImageMagick-6 /。
这适用于魔杖,但不适用于魔术师。因为我还是找不到pkg-config:命令。

我使用ruby 1.9.3p545和Rails 3.2.16

帮我请T_T

最佳答案
在升级到Maverick之后,Rmagick遇到了同样的问题,解决了这个问题:

brew uninstall pkg-config
brew install pkg-config
brew unlink pkg-config && brew link pkg-config

转载注明原文:ruby-on-rails – 无法安装rmagick,pkg-config:命令找不到 - 代码日志